SilverLining: SilverLining::Matrix3 Class Reference

Public Member Functions | Public Attributes | Friends

# SilverLining::Matrix3 Class Reference

A simple 3x3 matrix class and its operations. More...

`#include <Matrix3.h>`

Inherits SilverLining::MemObject.

Collaboration diagram for SilverLining::Matrix3:
[legend]

List of all members.

## Public Member Functions
| Matrix3 ()
| Default contructor; performs no initialization for efficiency.
| Matrix3 (double e11, double e12, double e13, double e21, double e22, double e23, double e31, double e32, double e33)
| Constructor that instantiates the 3x3 matrix with initial values.
| ~Matrix3 ()
| Destructor.
void SILVERLINING_API | FromRx (double rad)
| Populates the matrix to model a rotation about the X axis by a given amount, in radians.
void SILVERLINING_API | FromRy (double rad)
| Populates the matrix to model a rotation about the Y axis by a given amount, in radians.
void SILVERLINING_API | FromRz (double rad)
| Populates the matrix to model a rotation about the Z axis by a give amount, in radians.
void SILVERLINING_API | FromXYZ (double Rx, double Ry, double Rz)
| Populates the matrix as a series of rotations about the X, Y, and Z axes (in that order) by specified amounts in radians.
Matrix3 SILVERLINING_API | operator* (const Matrix3 &mat)
| Multiplies two matrices together.
Vector3 SILVERLINING_API | operator* (const Vector3 &rkVector) const
| Multiplies the matrix by a vector, yielding another 3x1 vector.
Matrix3 SILVERLINING_API | Transpose () const
| Caculate the inverse of the matrix.
## Public Attributes
double | elem [3][3]
| The data members are public for convenience.
## Friends
Vector3 SILVERLINING_API | operator* (const Vector3 &vec, const Matrix3 &mat)
| Multiplies a 1x3 vector by a matrix, yielding a 1x3 vector.

## Detailed Description

A simple 3x3 matrix class and its operations.

## Constructor & Destructor Documentation

SilverLining::Matrix3::Matrix3 | ( |  | ) | `[inline]`

Default contructor; performs no initialization for efficiency.

SilverLining::Matrix3::Matrix3 | ( | double | e11,
|  | double | e12,
|  | double | e13,
|  | double | e21,
|  | double | e22,
|  | double | e23,
|  | double | e31,
|  | double | e32,
|  | double | e33 |
| ) |  |  | `[inline]`

Constructor that instantiates the 3x3 matrix with initial values.

SilverLining::Matrix3::~Matrix3 | ( |  | ) | `[inline]`

Destructor.

## Member Function Documentation

void SILVERLINING_API SilverLining::Matrix3::FromRx | ( | double | rad | ) |

Populates the matrix to model a rotation about the X axis by a given amount, in radians.

void SILVERLINING_API SilverLining::Matrix3::FromRy | ( | double | rad | ) |

Populates the matrix to model a rotation about the Y axis by a given amount, in radians.

void SILVERLINING_API SilverLining::Matrix3::FromRz | ( | double | rad | ) |

Populates the matrix to model a rotation about the Z axis by a give amount, in radians.

void SILVERLINING_API SilverLining::Matrix3::FromXYZ | ( | double | Rx,
|  | double | Ry,
|  | double | Rz |
| ) |  |  |

Populates the matrix as a series of rotations about the X, Y, and Z axes (in that order) by specified amounts in radians.

Matrix3 SILVERLINING_API SilverLining::Matrix3::operator* | ( | const Matrix3 & | mat | ) |

Multiplies two matrices together.

Vector3 SILVERLINING_API SilverLining::Matrix3::operator* | ( | const Vector3 & | rkVector | ) | const

Multiplies the matrix by a vector, yielding another 3x1 vector.

Matrix3 SILVERLINING_API SilverLining::Matrix3::Transpose | ( |  | ) | const

Caculate the inverse of the matrix.

## Friends And Related Function Documentation

Vector3 SILVERLINING_API operator* | ( | const Vector3 & | vec,
|  | const Matrix3 & | mat |
| ) |  |  | `[friend]`

Multiplies a 1x3 vector by a matrix, yielding a 1x3 vector.

The documentation for this class was generated from the following file:

- /home/fkane/sl/trunk/Public Headers/Matrix3.h